Use C++14 constexpr

14 Oct 2020 21:51 - John Abbott

Status: Closed Start date: 14 Oct 2020

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Improving Estimated time: 2.99 hours

Target version: CoCoALib-0.99850 Spent time: 2.95 hours

Description

Scott Meyers recommends using constexpr where (reasonably) possible.

Related issues:

Related to CoCoALib - Design #1225: Move to C++14 (skipping C++11) In Progress 06 Sep 2018

History

#1 - 14 Oct 2020 21:51 - John Abbott

- Related to Design #1225: Move to C++14 (skipping C++11) added

#2 - 29 Jan 2021 20:16 - John Abbott

So far I have done the following files: (update list as files are done)

bool3.H

config.H

DivMask

DynamicBitset

MemPool

debug_new.C

[end of list]

#3 - 10 Feb 2021 20:36 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 20

#4 - 10 Feb 2021 21:41 - John Abbott

- % Done changed from 20 to 50

#5 - 08 Mar 2024 17:52 - John Abbott

- Assignee set to John Abbott

#6 - 08 Mar 2024 20:24 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 50 to 90

I think I have done all instances in src/AlgebraicCore and src/CoCoA-5.  I suppose I'd better check examples & tests...

#7 - 08 Mar 2024 20:48 - John Abbott
I have done the tests and examples.  There were a few cases where I chose to leave just const rather than replace with constexpr... no terribly

scientific reason for my choices.

All tests & examples compile and run fine.

#8 - 16 Mar 2024 21:55 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 2.99 h
